POST api/Distributor/TPOAddDetailRequestAPI

Request Information

URI Parameters

None.

Body Parameters

TPOModel
NameDescriptionTypeAdditional information
Id

integer

None.

TpoNo

string

None.

Shift

string

None.

DistributorId

integer

None.

DairyPlantID

integer

None.

DistributorTypeId

integer

None.

Amount

decimal number

None.

NetAmount

decimal number

None.

GST

decimal number

None.

TPODate

date

None.

ProductSupplyDate

date

None.

PoNo

string

None.

Prefix

string

None.

FinancialYear

string

None.

SrNo

string

None.

PayableAmount

decimal number

None.

BarcodeValue

string

None.

BarcodeID

string

None.

DairyPlantCode

string

None.

TransDate

date

None.

CreditAmount

decimal number

None.

DebitAmount

decimal number

None.

TransRemarks

string

None.

IsDebit

integer

None.

IsCredit

integer

None.

CreatedBy

integer

None.

CreatedDate

date

None.

TPOId

integer

None.

FPOId

integer

None.

TransactionId

string

None.

OrderId

string

None.

PaymentMode

string

None.

IsAdditionalPayment

integer

None.

IsDisplay

integer

None.

LADCode

string

None.

CreditID

integer

None.

DebitID

integer

None.

JSONString

string

None.

DueAmount

decimal number

None.

Debit

decimal number

None.

Credit

decimal number

None.

OldNetAmmount

decimal number

None.

NewTotalDebitBalance

decimal number

None.

TotalPaidAmount

decimal number

None.

TotalCreditBalance

decimal number

None.

IP

string

None.

NewDebitAmount

decimal number

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "tpoNo": "sample string 2",
  "shift": "sample string 3",
  "distributorId": 4,
  "dairyPlantID": 5,
  "distributorTypeId": 6,
  "amount": 7.0,
  "netAmount": 8.0,
  "gst": 9.0,
  "tpoDate": "2026-04-13T20:22:11.5969456+05:30",
  "productSupplyDate": "2026-04-13T20:22:11.5969456+05:30",
  "poNo": "sample string 12",
  "prefix": "sample string 13",
  "financialYear": "sample string 14",
  "srNo": "sample string 15",
  "payableAmount": 16.0,
  "barcodeValue": "sample string 17",
  "barcodeID": "sample string 18",
  "dairyPlantCode": "sample string 19",
  "transDate": "2026-04-13T20:22:11.5969456+05:30",
  "creditAmount": 21.0,
  "debitAmount": 22.0,
  "transRemarks": "sample string 23",
  "isDebit": 24,
  "isCredit": 25,
  "createdBy": 26,
  "createdDate": "2026-04-13T20:22:11.5969456+05:30",
  "tpoId": 28,
  "fpoId": 29,
  "transactionId": "sample string 30",
  "orderId": "sample string 31",
  "paymentMode": "sample string 32",
  "isAdditionalPayment": 33,
  "isDisplay": 34,
  "ladCode": "sample string 35",
  "creditID": 36,
  "debitID": 37,
  "jsonString": "sample string 38",
  "dueAmount": 39.0,
  "debit": 40.0,
  "credit": 41.0,
  "oldNetAmmount": 42.0,
  "newTotalDebitBalance": 43.0,
  "totalPaidAmount": 44.0,
  "totalCreditBalance": 45.0,
  "ip": "sample string 46",
  "newDebitAmount": 47.0
}

application/xml, text/xml

Sample:
<TPOModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <Amount>7</Amount>
  <BarcodeID>sample string 18</BarcodeID>
  <BarcodeValue>sample string 17</BarcodeValue>
  <CreatedBy>26</CreatedBy>
  <CreatedDate>2026-04-13T20:22:11.5969456+05:30</CreatedDate>
  <Credit>41</Credit>
  <CreditAmount>21</CreditAmount>
  <CreditID>36</CreditID>
  <DairyPlantCode>sample string 19</DairyPlantCode>
  <DairyPlantID>5</DairyPlantID>
  <Debit>40</Debit>
  <DebitAmount>22</DebitAmount>
  <DebitID>37</DebitID>
  <DistributorId>4</DistributorId>
  <DistributorTypeId>6</DistributorTypeId>
  <DueAmount>39</DueAmount>
  <FPOId>29</FPOId>
  <FinancialYear>sample string 14</FinancialYear>
  <GST>9</GST>
  <IP>sample string 46</IP>
  <Id>1</Id>
  <IsAdditionalPayment>33</IsAdditionalPayment>
  <IsCredit>25</IsCredit>
  <IsDebit>24</IsDebit>
  <IsDisplay>34</IsDisplay>
  <JSONString>sample string 38</JSONString>
  <LADCode>sample string 35</LADCode>
  <NetAmount>8</NetAmount>
  <NewDebitAmount>47</NewDebitAmount>
  <NewTotalDebitBalance>43</NewTotalDebitBalance>
  <OldNetAmmount>42</OldNetAmmount>
  <OrderId>sample string 31</OrderId>
  <PayableAmount>16</PayableAmount>
  <PaymentMode>sample string 32</PaymentMode>
  <PoNo>sample string 12</PoNo>
  <Prefix>sample string 13</Prefix>
  <ProductSupplyDate>2026-04-13T20:22:11.5969456+05:30</ProductSupplyDate>
  <Shift>sample string 3</Shift>
  <SrNo>sample string 15</SrNo>
  <TPODate>2026-04-13T20:22:11.5969456+05:30</TPODate>
  <TPOId>28</TPOId>
  <TotalCreditBalance>45</TotalCreditBalance>
  <TotalPaidAmount>44</TotalPaidAmount>
  <TpoNo>sample string 2</TpoNo>
  <TransDate>2026-04-13T20:22:11.5969456+05:30</TransDate>
  <TransRemarks>sample string 23</TransRemarks>
  <TransactionId>sample string 30</TransactionId>
</TPOModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

StatusMessageModel
NameDescriptionTypeAdditional information
StatusCode

string

None.

ErrorMessage

string

None.

Response Formats

application/json, text/json

Sample:
{
  "statusCode": "sample string 1",
  "errorMessage": "sample string 2"
}

application/xml, text/xml

Sample:
<StatusMessageModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <ErrorMessage>sample string 2</ErrorMessage>
  <StatusCode>sample string 1</StatusCode>
</StatusMessageModel>